OpenMS: NeutralLossDiffFilter Class Reference

| OpenMS 2.5.0

List of all members
NeutralLossDiffFilter Class Reference
Spectrum filters » Spectra Filters

NeutralLossDiffFilter returns the total intensity ob peak pairs whose m/z difference can be explained by a neutral loss. More...

`#include <OpenMS/FILTERING/TRANSFORMERS/NeutralLossDiffFilter.h>`

Inheritance diagram for NeutralLossDiffFilter:

## Public Member Functions

| NeutralLossDiffFilter ()
| default constructor More...
| NeutralLossDiffFilter (const NeutralLossDiffFilter &source)
| copy constructor More...
| ~NeutralLossDiffFilter () override
| destructor More...
NeutralLossDiffFilter & | operator= (const NeutralLossDiffFilter &source)
| assignment operator More...
Public Member Functions inherited from FilterFunctor
| FilterFunctor ()
| default constructor More...
| FilterFunctor (const FilterFunctor &source)
| copy constructor More...
| ~FilterFunctor () override
| destructor More...
FilterFunctor & | operator= (const FilterFunctor &source)
| assignment operator More...
template<typename SpectrumType >
double | apply (SpectrumType &)
| function call operator More...
Public Member Functions inherited from DefaultParamHandler
| DefaultParamHandler (const String &name)
| Constructor with name that is displayed in error messages. More...
| DefaultParamHandler (const DefaultParamHandler &rhs)
| Copy constructor. More...
virtual | ~DefaultParamHandler ()
| Destructor. More...
virtual DefaultParamHandler & | operator= (const DefaultParamHandler &rhs)
| Assignment operator. More...
virtual bool | operator== (const DefaultParamHandler &rhs) const
| Equality operator. More...
void | setParameters (const Param &param)
| Sets the parameters. More...
const Param & | getParameters () const
| Non-mutable access to the parameters. More...
const Param & | getDefaults () const
| Non-mutable access to the default parameters. More...
const String & | getName () const
| Non-mutable access to the name. More...
void | setName (const String &name)
| Mutable access to the name. More...
const std::vector< String > & | getSubsections () const
| Non-mutable access to the registered subsections. More...
template<typename SpectrumType >
double | apply (SpectrumType &spectrum)
static FilterFunctor * | create ()
static const String | getProductName ()

## Additional Inherited Members

Static Public Member Functions inherited from FilterFunctor
static void | registerChildren ()
Protected Member Functions inherited from DefaultParamHandler
virtual void | updateMembers_ ()
| This method is used to update extra member variables at the end of the setParameters() method. More...
void | defaultsToParam_ ()
| Updates the parameters after the defaults have been set in the constructor. More...
Protected Attributes inherited from DefaultParamHandler
Param | param_
| Container for current parameters. More...
Param | defaults_
| Container for default parameters. This member should be filled in the constructor of derived classes! More...
std::vector< String > | subsections_
| Container for registered subsections. This member should be filled in the constructor of derived classes! More...
String | error_name_
| Name that is displayed in error messages during the parameter checking. More...
bool | check_defaults_
| If this member is set to false no checking if parameters in done;. More...
bool | warn_empty_defaults_
| If this member is set to false no warning is emitted when defaults are empty;. More...

## Detailed Description

NeutralLossDiffFilter returns the total intensity ob peak pairs whose m/z difference can be explained by a neutral loss.

Parameters of this class are:

Name | Type | Default | Restrictions | Description
--- | --- | --- | --- | ---
tolerance | float | 0.37 |  | Tolerance value defined by Bern et al.

Note:

- If a section name is documented, the documentation is displayed as tooltip.
- Advanced parameter names are italic.

## Constructor & Destructor Documentation

## ◆ NeutralLossDiffFilter() [1/2]

NeutralLossDiffFilter | ( |  | ) |

default constructor

## ◆ NeutralLossDiffFilter() [2/2]

NeutralLossDiffFilter | ( | const NeutralLossDiffFilter & | source | ) |

copy constructor

## ◆ ~NeutralLossDiffFilter()

~NeutralLossDiffFilter | ( |  | ) |

override

destructor

## Member Function Documentation

## ◆ apply()

double apply | ( | SpectrumType & | spectrum | ) |

inline

## ◆ create()

static FilterFunctor* create | ( |  | ) |

inlinestatic

## ◆ getProductName()

static const String getProductName | ( |  | ) |

inlinestatic

## ◆ operator=()

NeutralLossDiffFilter& operator= | ( | const NeutralLossDiffFilter & | source | ) |

assignment operator